## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ResultNamespacesStack Class Reference

`#include <ResultNamespacesStack.hpp>`

Collaboration diagram for ResultNamespacesStack:

[legend]
List of all members.

## Public Types

- typedef XalanVector<bool> BoolVectorType
- typedef XalanQName::NamespaceVectorType NamespaceVectorType
- typedef XalanQName::NamespacesStackType NamespacesStackType
- typedef NamespacesStackType::size_type size_type

## Public Methods

- ResultNamespacesStack (MemoryManagerType &theManager)
- ~ResultNamespacesStack ()
- void addDeclaration (const XalanDOMString &thePrefix, const XalanDOMString &theNamespaceURI)
- void addDeclaration (const XalanDOMString &thePrefix, const XalanDOMChar *theNamespaceURI)
- void addDeclaration (const XalanDOMString &thePrefix, const XalanDOMChar *theNamespaceURI, XalanDOMString::size_type theLength)
- void pushContext ()
- void popContext ()
- const XalanDOMString* getNamespaceForPrefix (const XalanDOMString &thePrefix) const
- const XalanDOMString* getPrefixForNamespace (const XalanDOMString &theNamespaceURI) const
- bool prefixIsPresentLocal (const XalanDOMString &thePrefix)
    See if the prefix has been mapped to a namespace in the current context, without looking down the stack of namespaces. More...
- void clear ()
- size_type size () const
- bool empty () const

## Member Typedef Documentation

typedef XalanVector< bool > ResultNamespacesStack::BoolVectorType<bool>

typedef XalanQName::NamespaceVectorType ResultNamespacesStack::NamespaceVectorType

typedef XalanQName::NamespacesStackType ResultNamespacesStack::NamespacesStackType

typedef NamespacesStackType::size_type ResultNamespacesStack::size_type

## Constructor & Destructor Documentation

ResultNamespacesStack::ResultNamespacesStack ( | MemoryManagerType & theManager )`[explicit]`

ResultNamespacesStack::~ResultNamespacesStack ( | )

## Member Function Documentation

void ResultNamespacesStack::addDeclaration ( | const XalanDOMString & thePrefix,
| const XalanDOMChar * theNamespaceURI,
| XalanDOMString::size_type theLength )

void ResultNamespacesStack::addDeclaration ( | const XalanDOMString & thePrefix,
| const XalanDOMChar * theNamespaceURI )

void ResultNamespacesStack::addDeclaration ( | const XalanDOMString & thePrefix,
| const XalanDOMString & theNamespaceURI )

void ResultNamespacesStack::clear ( | )

bool ResultNamespacesStack::empty ( | ) const

const XalanDOMString * ResultNamespacesStack::getNamespaceForPrefix ( | const XalanDOMString & thePrefix ) const

const XalanDOMString * ResultNamespacesStack::getPrefixForNamespace ( | const XalanDOMString & theNamespaceURI ) const

void ResultNamespacesStack::popContext ( | )

bool ResultNamespacesStack::prefixIsPresentLocal ( | const XalanDOMString & thePrefix )

| See if the prefix has been mapped to a namespace in the current context, without looking down the stack of namespaces.

void ResultNamespacesStack::pushContext ( | )

size_type ResultNamespacesStack::size ( | ) const

The documentation for this class was generated from the following file:

- ResultNamespacesStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.